MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028776Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-05-23 15:442017-09-29 16:25
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028776: Extend the field BOPAlgo_Builder::myOrigins so that the shape could have multiple origins
DescriptionChange the type of the field BOPAlgo_Builder::myOrigins so that the new shape could have multiple origins in case of overlapping.
Steps To Reproducetest bugs modalg_6 bug28776
TagsNo tags attached.
Test case numberbugs modalg_6 bug28776
Attached Files

- Relationships

-  Notes
(0066478)
git (administrator)
2017-05-23 16:11

Branch CR28776 has been created by emv.

SHA-1: 97a75cd39ee845ebfc9766530ba06e0f25d331c9


Detailed log of new commits:

Author: emv
Date: Wed May 3 15:42:53 2017 +0300

    0028776: Extend the field BOPAlgo_Builder::myOrigins so that the shape could have multiple origins
    
    Change the type of the field BOPAlgo_Builder::myOrigins so that the new shape could have multiple origins in case of overlapping.
    
    Test case for the issue.
(0066479)
git (administrator)
2017-05-23 16:12

Branch CR28776 has been updated forcibly by emv.

SHA-1: 482d01f0aefb0014cf057837a4654563faf5a2d0
(0066481)
emv (developer)
2017-05-23 16:15

Dear Mikhail, could you please review the git branch CR28776?
(0066488)
msv (developer)
2017-05-23 17:14

Reviewed.
(0066497)
git (administrator)
2017-05-23 22:57

Branch CR28776 has been updated by emv.

SHA-1: 4266b502247c8b60310700deb70ad5df738d7f69


Detailed log of new commits:

Author: emv
Date: Tue May 23 22:56:33 2017 +0300

    // Upgrade guide has been updated.

(0066498)
emv (developer)
2017-05-23 22:58

Only Upgrade guide has been updated, so no re-compilation or re-testing required.
(0066515)
apv (tester)
2017-05-24 13:48

Dear BugMaster,

Branch CR27776 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 482d01f0aefb0014cf057837a4654563faf5a2d0

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1186

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug28776 - OK
http://occt-tests/CR28776-master-OCCT/Debian70-64/bugs/modalg_6/bug28776.html [^]
http://occt-tests/CR28776-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28776.html [^]

Testing on Linux:
Total MEMORY difference: 92084921 / 91674621 [+0.45%]
Total CPU difference: 18688.270000000295 / 18660.990000000344 [+0.15%]

Testing on Windows:
Total MEMORY difference: 58456498 / 58426283 [+0.05%]
Total CPU difference: 17477.712435898688 / 17319.43382129878 [+0.91%]
(0066516)
apv (tester)
2017-05-24 13:49

Dear BugMaster,

Please integrate branch CR28776 into the occt git-repository master.
(0066784)
git (administrator)
2017-05-29 16:06

Branch CR28776 has been deleted by kgv.

SHA-1: 4266b502247c8b60310700deb70ad5df738d7f69

- Related Changesets
occt: master d04ea4ac
Timestamp: 2017-05-03 12:42:53
Author: emv
Committer: bugmaster
Details ] Diff ]
0028776: Extend the field BOPAlgo_Builder::myOrigins so that the shape could have multiple origins

Change the type of the field BOPAlgo_Builder::myOrigins so that the new shape could have multiple origins in case of overlapping.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_DebugCommands.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug28776 Diff ] File ]
occt: master b18a83d4
Timestamp: 2017-05-03 12:42:53
Author: emv
Committer: bugmaster
Details ] Diff ]
0028776: Extend the field BOPAlgo_Builder::myOrigins so that the shape could have multiple origins

Change the type of the field BOPAlgo_Builder::myOrigins so that the new shape could have multiple origins in case of overlapping.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_DebugCommands.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug28776 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-23 15:44 emv New Issue
2017-05-23 15:44 emv Assigned To => msv
2017-05-23 15:45 emv Assigned To msv => emv
2017-05-23 15:45 emv Status new => assigned
2017-05-23 16:11 git Note Added: 0066478
2017-05-23 16:12 git Note Added: 0066479
2017-05-23 16:15 emv Note Added: 0066481
2017-05-23 16:15 emv Assigned To emv => msv
2017-05-23 16:15 emv Status assigned => resolved
2017-05-23 16:15 emv Steps to Reproduce Updated View Revisions
2017-05-23 17:14 msv Note Added: 0066488
2017-05-23 17:14 msv Assigned To msv => bugmaster
2017-05-23 17:14 msv Status resolved => reviewed
2017-05-23 18:47 apv Assigned To bugmaster => apv
2017-05-23 22:57 git Note Added: 0066497
2017-05-23 22:58 emv Note Added: 0066498
2017-05-24 13:46 apv Test case number => bugs modalg_6 bug28776
2017-05-24 13:48 apv Note Added: 0066515
2017-05-24 13:48 apv Assigned To apv => bugmaster
2017-05-24 13:48 apv Status reviewed => tested
2017-05-24 13:49 apv Note Added: 0066516
2017-05-26 14:28 bugmaster Changeset attached => occt master d04ea4ac
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-26 14:56 bugmaster Changeset attached => occt master b18a83d4
2017-05-29 16:06 git Note Added: 0066784
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker